package com.hp.user.client.entity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 站点信息
 * </p>
 *
 * @author 王怡静
 * @since 2020-11-20
 */
public class StationVO extends BaseVO {
    /**
     * 站点Id
     */
    private Long stationId;
    /**
     * 站点名称
     */
    private String name;
    /**
     * 企业Id
     */
    private Long enterpriseId;
    /**
     * 站点联系人
     */
    private String stationContact;
    /**
     * 电话号码
     */
    private String phone;
    /**
     * 变压器容量
     */
    private BigDecimal capacity;

    public StationVO(){}

    public StationVO(Date createTime, Long createUserId, Date updateTime, Long updateUserId, Long stationId, String name, Long enterpriseId, String stationContact, String phone, BigDecimal capacity) {
        super(createTime, createUserId, updateTime, updateUserId);
        this.stationId = stationId;
        this.name = name;
        this.enterpriseId = enterpriseId;
        this.stationContact = stationContact;
        this.phone = phone;
        this.capacity = capacity;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Long enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStationContact() {
        return stationContact;
    }

    public void setStationContact(String stationContact) {
        this.stationContact = stationContact;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public BigDecimal getCapacity() {
        return capacity;
    }

    public void setCapacity(BigDecimal capacity) {
        this.capacity = capacity;
    }
}
